m1 = 0
m2 = 0
s1 = 1
s2 = 1

procedure quotient z m1 s1 m2 s2
 
  s12 = s1^2
  s22 = s2^2
  s1s2 = s1 * s2
  z2 = z^2
  .t1 = m1*s22*z+m2*s12
  t2 = s22*z2+s12
  pz = 1/t2 * (1/sqrt(2*pi)*(.t1/sqrt(t2))*exp(-(m1-m2*z)^2/(2*t2)) * erf(.t1/(s1s2*sqrt(2*t2))) + (s1s2)/pi*exp(-(m1^2/s12+m2^2/s22)))

endproc

Create Sound... pz -10 10 1000 0
ns = Get number of samples
t1 = Get time from sample number... 1
dt = Get sampling period
t = t1
for i to ns
	t = t1 + (i-1)*dt
	call quotient t m1 s1 m2 s2
	Set value at sample number... i pz
endfor