# MWC_formantplot.praat
# 20041213 djmw
# 20050407 djmw latest modification

Create TableOfReal (Weenink 1985)... Men
m10 = selected ("TableOfReal")
Create TableOfReal (Weenink 1985)... Women
w10 = selected ("TableOfReal")
Create TableOfReal (Weenink 1985)... Children
c10 = selected ("TableOfReal")
plus w10
plus m10
Append columns
mwc = selected ("TableOfReal")

To Discriminant
Extract group centroids
mwcc = selected ("TableOfReal")

# f1m, f2m, f3m, f1w, f2w, f3w, f1c, f2c, f3c

Erase all
Font size... 10
Select outer viewport... 0 12/2.54 0 12/2.54
Draw scatter plot... 1 2 0 0 200 1200 400 3200 8 y + n
Draw scatter plot... 4 5 0 0 200 1200 400 3200 12 y + n
Draw scatter plot... 7 8 0 0 200 1200 400 3200 16 y + n
Draw vectors... 1 2 4 5 200 1200 400 3200 Line 0 y
Draw vectors... 4 5 7 8 200 1200 400 3200 Line 0 n

Marks bottom every... 1 200 yes yes no
Marks left every... 1 400 yes yes no
Text bottom... y F__1_ (Hz)
Text left... y F__2_ (Hz)
file$ = "/home/david/tex/thesis/experiments/MWC_formantplot"
Write to EPS file... 'file$'.eps
system epstopdf --outfile='file$'.pdf 'file$'.eps
# find average values for f1 and f2

select mwcc
for i to 3
  f1m = Get column mean (index)... 3*(i-1)+1  
  f2m = Get column mean (index)... 3*(i-1)+2
  f1m_'i' = f1m
  f2m_'i' = f2m
  printline 'f1m' 'f2m'
endfor

# consider women (f1, f2) as 'origin'
# sf1_1 is (averaged-f1-women)/(averaged-f1-men)
# sf1_2 is (averaged-f1-women)/(averaged-f1-children)
# sf2_1 is (averaged-f2-women)/(averaged-f2-men)
# sf2_2 is ...

sf1_1 = f1m_2 / f1m_1
sf2_1 = f2m_2 / f2m_1

sf1_2 = f1m_2 / f1m_3
sf2_2 = f2m_2 / f2m_3

# 1.130 0.854 1.130 0.833
printline 'sf1_1' 'sf1_1' 'sf1_2' 'sf2_2'

# average scaling for f1 & f2
s_1 = (sf1_1 + sf2_1)/2
s_2 = (sf1_2 + sf2_2)/2

print Average scaling w/m = 's_1', w/c = 's_2'
select  mwcc
for i to 2
  Formula... if col=i then self*s_1 else self fi
  Formula... if col=6+i then self*s_2 else self fi
endfor

