# train-ffnet-vannierop.praat
# djmw 20050416

savedir$ = "/home/david/tex/thesis/nn-bias1/"
nepoch = 15000
nrep = 10
nhidden = 7

#test
#nepoch=150

Create TableOfReal (Van Nierop 1973)... n
min1=200
min2=500
min3=1500
max1=1500
max2=3500
max3=4500
Formula... if col=1 then (self-min1)/(max1-min1) else self fi
Formula... if col=2 then (self-min2)/(max2-min2) else self fi
Formula... if col=3 then (self-min3)/(max3-min3) else self fi
To Pattern and Categories... 0 0 0 0
pat = selected ("Pattern")
cat = selected ("Categories")

procedure get_fraction_correct ffnet_id pat_id cat_id
  select ffnet_id
  plus pat_id
  To Categories... Winner-takes-all
  ctmp = selected ("Categories")
  plus cat_id
  fdif = Get fraction different
  fc = 1 - fdif
  select ctmp
  Remove
endproc

Create TableOfReal... result nrep nhidden
result = selected ("TableOfReal")

for irep to nrep
  for hidden to 7
    select pat
    plus cat
    To FFNet... hidden 0
    ffnet = selected ("FFNet")
    plus pat
    plus cat
    Learn... nepoch 1e-17 Minimum-squared-error
    call get_fraction_correct ffnet pat cat
    select result
    Set value... irep hidden fc
    select ffnet
    Remove
  endfor
endfor

select result
Write to short text file... 'savedir$'train-ffnet-vannierop.TableOfReal