# trainpols_test_vannierop_test.praat
# djmw 20060118
#
# Moet nog: randomizeren, MG10,WG10, CG10...
#
#
Create TableOfReal (Pols 1973)... no
Formula... log10(self/((2*col-1)*500))+0.5
To Pattern and Categories... 0 0 0 0
To FFNet... 3 0

select Pattern pols_50males
plus Categories pols_50males
plus FFNet 3-3-12
Learn... 1000 1e-07 Minimum-squared-error

select Pattern pols_50males
plus FFNet 3-3-12
To Categories... Winner-takes-all
select Categories 3-3-12_pols_50males
plus Categories pols_50males
To Confusion

Create TableOfReal (Van Nierop 1973)... no
w25t = selected ("TableOfReal")
Formula... log10(self/((2*col-1)*500))+0.5
To Pattern and Categories... 0 0 0 0

select FFNet 3-3-12
plus Pattern vannierop_25females
To Categories... Winner-takes-all
select Categories vannierop_25females
plus Categories 3-3-12_vannierop_25females
To Confusion

call test_net 1

call test_net 2

procedure test_net biaslayer
  printline Test: Bias layer='biaslayer'
  fcmean=0
  for i to 25
    select FFNet 3-3-12
    Copy... 3-3-12c
    Select biases... biaslayer
    rowb = (i-1)*12 +1
    rowe = rowb+11
    select w25t
    To Pattern and Categories... rowb rowe 0 0
    v12p = selected ("Pattern")
    v12c = selected ("Categories")
    plus FFNet 3-3-12c
    Learn... 100 1e-07 Minimum-squared-error
    minus v12c
    To Categories... Winner-takes-all
    v12cn = selected ("Categories")
    plus v12c
    fd = Get fraction different
    fc = 1 - fd
    fcmean += fc
    printline 'i' 'fc'
    select v12p
    plus v12c
    plus v12cn
    plus FFNet 3-3-12c
    Remove
  endfor
  fcmean /= 25
  printline Bias layer='biaslayer', Average : 'fcmean'
endproc