# mf-pca-lda-eigenvalues.praat
# 20050317 djmw

savedir$ = "/home/david/tex/thesis/nn-bias2/"
datadir$ = "/home/david/tex/thesis/data/"

include /home/david/tex/praat_procedures.praat

call vp_init 12 6 1 1 1
call vp_next

Read from file... 'datadir$'barks_total_frame2_mf_meansperspeaker.TableOfReal
Rename... mf
mf = selected ("TableOfReal")
To Discriminant
Draw eigenvalues... 0 0 0 1.1 yes yes 2 + no

select mf
To PCA
Draw eigenvalues... 0 0 0 1.1 yes yes 2 -  no
Draw inner box
Marks bottom every... 1 1 n y n
One mark left... 1 y y y
One mark left... 0.5 y y y
One mark bottom... 1 y n n
One mark bottom... 18 y n n
One mark bottom... 9 y n y
Text bottom... y Eigenvalue index
Text left... y Cumulative fraction
call save mf-pca-lda-eigenvalues
