# get_cog_corrected_tables.praat
# djmw 20050512, 20050530

datadir$ = "/home/david/tex/thesis/data/"

procedure read name$ centroids$
  Read from file... 'datadir$''name$'.TableOfReal
  table = selected ("TableOfReal")

  Read from file... 'datadir$''name$'_index.TableOfReal
  index = selected ("TableOfReal")
  Rename... index
  nspeakers = Get number of rows

  Read from file... 'datadir$''centroids$'.TableOfReal
  Rename... centroids
  centroids = selected ("TableOfReal")
endproc

#call read barks_total_frame123_mf barks_total_frame123_mf_speakercentroids

#call read barks_total_frame123_mf_stressed barks_total_frame123_mf_stressed_speakercentroids

#call read barks_total_frame123_mf_meansperspeaker barks_total_frame123_mf_speakercentroids

call read barks_total_frame123_mf_stressed_meansperspeaker barks_total_frame123_mf_stressed_speakercentroids


select table
Copy... result
result = selected ("TableOfReal")

#nspeakers = 10

select result
for i to nspeakers
  ib = TableOfReal_index[i,1]
  ie = TableOfReal_index[i,2]
  if i <= 438
    imean = 631
  else
    imean = 632
  endif
  Formula... if row >= ib and row<=ie then self + (TableOfReal_centroids[imean,col] -TableOfReal_centroids[i,col])
  ... else self endif
  printline i = 'i' ib = 'ib' ie = 'ie'
endfor

select result
Write to short text file... 'datadir$''name$'_cog_corrected.TableOfReal