# reduce_to_9pcs.praat
# 20050318 djmw
# 20050425 djm Latest modification

# 1. pca on the 20 vowels/speaker sets for m and f
# 2. pca reduction on two sets:
#	- S
#	- A

procedure split table_id nsplit
  select table_id
  ntotal = Get number of rows
  Extract row ranges... 1 : 'nsplit'
  m = selected ("TableOfReal")
  select table_id
  n1 = nsplit+1
  Extract row ranges... 'n1' : 'ntotal'
  f = selected ("TableOfReal")
endproc

procedure pca_join pcam_id pcaf_id tm_id tf_id
  select tm_id
  plus pcam_id
  To Configuration... 9
  m9 = selected ("Configuration")
  
  select tf_id
  plus pcaf_id
  To Configuration... 9

  f9 = selected ("Configuration")
  plus m9
  To TableOfReal
  tmp1 = selected ("TableOfReal", 1)
  tmp2 = selected ("TableOfReal", 2)
  Append
  result = selected ("TableOfReal")
  
  select m9
  plus f9
  plus tmp1
  plus tmp2
  Remove
endproc

datadir$ ="/home/david/tex/thesis/data/"
Read from file... 'datadir$'barks_total_frame2_mf_meansperspeaker.TableOfReal
t = selected ("TableOfReal")
call split t 8078

select m
To PCA
pcam = selected ("PCA")

select f
To PCA
pcaf = selected ("PCA")

call pca_join pcam pcaf m f

select result
#Write to short text file... 'datadir$'barks_total_frame2_mf_meansperspeaker_pc9.TableOfReal

Read from file... 'datadir$'barks_total_frame2_mf.TableOfReal
t = selected ("TableOfReal")
call split t 54357
call pca_join pcam pcaf m f

select result
Write to short text file... 'datadir$'barks_total_frame2_mf_pc9.TableOfReal

procedure common_pca m_id f_id
  select m_id
  To TableOfReal (means by row labels)... no
  mr = selected ("TableOfReal")
  select f_id
  To TableOfReal (means by row labels)... no
  fr = selected ("TableOfReal")
  plus mr
  Append
  appended = selected ("TableOfReal")
  To PCA
  pcamf = selected ("PCA")
  select mr
  plus fr
  plus appended
  Remove
endproc 

