# check-mf-discrimination.praat
# djmw 20050324

Read from file... /home/david/tex/thesis/data/barks_total_frame2_mf_meansperspeaker_pc9.TableOfReal
t0 = selected ("TableOfReal")
Extract row ranges... 1:8078
Rename... m
t1 = selected ("TableOfReal")

select t0
Extract row ranges... 8079 : 11579
Rename... f
t2 = selected ("TableOfReal")


procedure reduce table_id
  select table_id
  To PCA
  pca = selected ("PCA")
  plus table_id
  To Configuration... 9
  c = selected ("Configuration")
  To TableOfReal
  t = selected ("TableOfReal")
  Centre columns
  Formula... (self+80)/160
  select c
  plus pca
  Remove
endproc

call reduce t1
t1r = t

call reduce t2
t2r = t

for i to 2
  select t'i'r
  To Discriminant
  dis = selected ("Discriminant")
  for j to 2
    select dis
    plus t'j'r
    To ClassificationTable... y y
    cl = selected ("ClassificationTable")
    To Confusion
    cf = selected ("Confusion")
    fc = Get fraction correct
    printline 'i' 'j' 'fc'
    plus cl
    Remove
  endfor
endfor

