# pcs_PCA_LDA_m_f.praat
# djmw 20040622

savedir$ = "/home/david/tex/thesis/nn-bias2/"
include /home/david/tex/praat_procedures.praat

Read from file... 'savedir$'barks_total_frame2_mf.TableOfReal
mf = selected ("TableOfReal")
Extract row ranges... 1:54357
m = selected ("TableOfReal")
select mf
Extract row ranges... 54358:78374
f = selected ("TableOfReal")

select m
To PCA
m_pca = selected ("PCA")

select m
To Discriminant
m_dis =  selected ("Discriminant")

select f
To PCA
f_pca = selected ("PCA")

select f
To Discriminant
f_dis =  selected ("Discriminant")

lx = 12
call vp_init lx 6 2 2 1

call vp_next

Font size... 8

select m_pca
Draw eigenvector... 1 n 0 0 -1 1 1 + y y
select f_pca
Dotted line
Draw eigenvector... 1 n 0 0 -1 1 1 + y n
Plain line
Text top... n (a) PCA: Eigenvector 1

call vp_next

select m_dis
Draw eigenvector... 1 n 0 0 -1 1 1 + y y
select f_dis
Dotted line
Draw eigenvector... 1 n 0 0 -1 1 1 + y n
Plain line
Text top... n (b) LDA: Eigenvector 1

call vp_next

select m_pca
Draw eigenvector... 2 n 0 0 -1 1 1 + y y
select f_pca
Dotted line
Draw eigenvector... 2 n 0 0 -1 1 1 + y n
Plain line
Text top... n (c) PCA: Eigenvector 2

call vp_next

select m_dis
Draw eigenvector... 2 n 0 0 -1 1 1 + y y
select f_dis
Dotted line
Draw eigenvector... 2 n 0 0 -1 1 1 + y n
Plain line
Text top... n (d) LDA: Eigenvector 2


call vp_initr 12 6 2 1 1

Font size... 8

select f_dis
Extract group centroids
f_centroid = selected ("TableOfReal")

select m_dis
Extract group centroids
m_centroid = selected ("TableOfReal")

# projection of female data in male pca-space

select m_pca
plus m_centroid
To Configuration... 2
m_conf = selected ("Configuration")

select m_pca
plus f_centroid
To Configuration... 2
f_conf = selected ("Configuration")

call vp_next

select m_conf
Draw... 1 2 -120 -50 120 150 10 y + y
select f_conf
Draw... 1 2 -120 -50 120 150 7 y + n
Text top... n (e) PCA

# projection of female data in male lda-space

select m_dis
plus m_centroid
To Configuration... 2
m_conf = selected ("Configuration")

select m_dis
plus f_centroid
To Configuration... 2
f_conf = selected ("Configuration")


call vp_next

select m_conf
Set column label (index)... 1 Eigenvector 1
Set column label (index)... 2 Eigenvector 2
Draw... 1 2 20 60 0 35 10 y + y

select f_conf
Draw... 1 2 20 60 0 35 7 y + n
Text top... n (f) LDA

call save pcs_PCA_LDA_m_f

