# polsf1f2_ellipses.praat
# 20040129 djmw modified
# 20050225 Last modification

savedir$= "/home/david/tex/thesis/pca/"
include /home/david/tex/praat_procedures.praat
call vp_init 11 10 1 1 1
call vp_next

Create TableOfReal (Pols 1973)... yes
Formula... if col < 4 then log10 (self) else self fi
#Standardize columns
#  change the column labels too, for nice plot labels.
Set column label (index)... 1  log %F__1_
Set column label (index)... 2  log %F__2_
Set column label (index)... 3  log %F__3_
Set column label (index)... 4  %L__1_
Set column label (index)... 5  %L__2_
Set column label (index)... 6  %L__3_
To Discriminant
#Erase all
#Viewport... 0 4 0 4
Times
10
xmin=2.3
xmax=3.0
ymin=2.8
ymax=3.5
Draw sigma ellipses... 1 no 1 2 'xmin' 'xmax' 'ymin' 'ymax' 10 yes
One logarithmic mark top... 200 y y n
One logarithmic mark top... 400 y y n
One logarithmic mark top... 600 y y n
One logarithmic mark top... 800 y y n
One logarithmic mark top... 1000 y y n
Marks bottom every... 1 0.1 n y n
Text top... y %F__1_

One logarithmic mark right... 800 y y n
One logarithmic mark right... 1200 y y n
One logarithmic mark right... 1600 y y n
One logarithmic mark right... 2000 y y n
One logarithmic mark right... 2400 y y n
One logarithmic mark right... 2800 y y n
Marks left every... 1 0.1 n y n
Text right... y %F__2_

call save polsf1f2_ellipses
